Package org.eclipse.microprofile.config.tck

## Class ConfigValueTest.ConfigValueConfigSource

- java.lang.Object
- - org.eclipse.microprofile.config.tck.ConfigValueTest.ConfigValueConfigSource

All Implemented Interfaces:
  `ConfigSource`

Enclosing class:
  ConfigValueTest

    public static class ConfigValueTest.ConfigValueConfigSource
    extends Object
    implements ConfigSource

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`CONFIG_ORDINAL, DEFAULT_ORDINAL`

### Constructor Summary

Constructors
`ConfigValueConfigSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getOrdinal()`
`Set<String>` `getPropertyNames()`
`String` `getValue​(String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`getProperties`

### Constructor Detail

#### ConfigValueConfigSource

    public ConfigValueConfigSource()

### Method Detail

#### getPropertyNames

    public Set<String> getPropertyNames()

Specified by:
  `getPropertyNames` in interface `ConfigSource`

#### getValue

    public String getValue​(String propertyName)

Specified by:
  `getValue` in interface `ConfigSource`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ConfigSource`

#### getOrdinal

    public int getOrdinal()

Specified by:
  `getOrdinal` in interface `ConfigSource`